Index: liacs/SCA2010/nQueens/latex.mk
===================================================================
--- liacs/SCA2010/nQueens/latex.mk	(revision 178)
+++ liacs/SCA2010/nQueens/latex.mk	(revision 179)
@@ -61,4 +61,5 @@
 .tex.pdf:
 	pdflatex -halt-on-error $?
+	pdflatex -halt-on-error $?
 
 .tex.dvi:
Index: liacs/SCA2010/nQueens/report.tex
===================================================================
--- liacs/SCA2010/nQueens/report.tex	(revision 178)
+++ liacs/SCA2010/nQueens/report.tex	(revision 179)
@@ -18,5 +18,5 @@
 \floatname{algoritm}{Algoritme}
 
-\title{\emph{n-Queens} minimale dominantie verzamelingen \\
+\title{\emph{n-Queens} minimale dominerende verzamelingen \\
 \large{Chessboard Domination on Programmable Graphics Hardware door Nathan Cournia}}
 \author{Rick van der Zwet\\
@@ -43,5 +43,5 @@
 \end{figure}
 Vanwege het feit dat \emph{n-Queens} een algemeen geaccepteerde terminologie
-is voor het plaatsen van $n$ koninginnen op een $n*n$ schaakbord zodanig dat de
+is voor het plaatsen van $n$ koninginnen op een $n \times n$ schaakbord zodanig dat de
 koninginnen elkaar niet kunnen slaan, zal dit in het schrijven niet vertaald
 worden. Verder zal in de tekst op diverse plekken de originele Engelse bewoording
@@ -50,24 +50,23 @@
 
 
-\section{Minimale dominantie verzameling}
-De minimale dominantie verzameling ({\emph{Minimum domination set}}) is
-een opstelling waarbij met zo weinig mogelijk koninginnen elk vakje
+\section{Minimale dominerende verzameling}
+Een dominerende set is een verzameling koninginnen, die tesamen alle velden
+bereiken. Een minimale dominerende verzameling ({\emph{Minimum domination
+set}}) is een opstelling waarbij met zo weinig mogelijk koninginnen elk vakje
 van het schaakbord a) door ten minste 1 koningin direct bereikt kan worden of b) bezet is 
 door een koningin. Omdat een koningin een \emph{karakteristiek patroon} kan slaan (zie
-Figuur~\ref{fig:patroon}) kan het minimale aantal koninginnen wat nodig is ook
-bepaald worden door middel van Formule~\ref{eq:ondergrens}:  
+Figuur~\ref{fig:patroon}) kan het minimale aantal koninginnen dat nodig is
+bepaald worden door middel van Formule~\ref{eq:ondergrens}\footnote{Bewezen in \cite{DM2003}.}:  
 \begin{equation}
 y(Q_{n})\geq\frac{n-1}{2}, n\geq1
 \label{eq:ondergrens}
 \end{equation}
-Waarbij in Formule~\ref{eq:ondergrens} $n$ het de grootte van het bord is ($n
-\times n$). De knopen van $Q_{n}$ zijn genomen van een $n \times n$ bord met
-$n^{2}$ als de knopen. Als knoop $a$ door middel van het \emph{karakteristiek
-patroon} van een koningin vanuit $b$ bereikt kan worden, wordt er een tak
-tussen deze knopen gevormd. Dit geheel (de knopen en takken) is $Q_{n}$. $y(G)$
-is de minimum of a domination set of $G$. $y(Q_{n})$ is dan het minimalel
-aantal koninginnen die men kan plaatsen en zodaning de minimale dominantie
-verzameling te bereiken. Als het een ``gewone'' dominantie verzameling is dan
-hoeft het aantal koninginnen niet perse minimaal zijn.
+Hierbij is $n$ de hoogte van het bord. De knopen van $Q_{n}$
+zijn genomen van een $n \times n$ bord met $n^{2}$ knopen. Als knoop $a$
+door middel van het \emph{karakteristiek patroon} van een koningin vanuit $b$
+bereikt kan worden, wordt er een tak tussen deze knopen gevormd. Dit geheel (de
+knopen en takken) is $Q_{n}$. De $y(Q_{n})$ is dan het minimale aantal
+koninginnen dat men kan plaatsen om zo een minimale dominerende verzameling
+te bereiken. 
 
 
@@ -79,5 +78,5 @@
 worden \emph{kernels} genoemd. De data wordt getransporteerd door verschillende
 data-kanalen (\emph{streams}) en heeft de vorm van een \emph{framebuffer}, welke
-intern als $n * m$ array gezien kan worden. Een \emph{kernel} kan toegepast
+intern als $n \times m$ array gezien kan worden. Een \emph{kernel} kan toegepast
 worden op een (deel van de) \emph{framebuffer}. Illustratie uit \cite{WPCUDA}.}
   \label{fig:werking}
@@ -103,5 +102,5 @@
 
 \section{Aanpak $n$-Queens probleem op de \emph{GPU}}
-Het zoeken van geldige minimale dominantie verzamelingen is een stevige klus,
+Het zoeken van geldige minimale dominerende verzamelingen is een stevige klus,
 waarvoor minimaal (in het optimale geval) $n$ koninginnen nodig zijn die we op een $n \times n$
 schaakbord kunnen plaatsen. Dat levert $(n * n)! - ((n * n)-n)!$ mogelijkheden op.
@@ -112,6 +111,8 @@
 Algoritme~\ref{alg:overzicht}. De genereerde potenti"{e}le oplossingen die aan de
 \emph{GPU} ter controle aangeboden worden respecteren eventuele bekende boven-
-en ondergrenzen zoals Formule~\ref{eq:ondergrens}. \footnote{Zie voor meer
-bekende boven- en ondergrenzen onder andere de papers genoemd in \cite[CDGPU2006]{sectie 2, pagina 62}.}
+en ondergrenzen \footnote{Zie voor meer bekende boven- en ondergrenzen onder
+andere de papers genoemd in \cite{CDGPU2006}[sectie 2, pagina 62].} zoals
+Formule~\ref{eq:ondergrens}.
+\newpage
 
 
@@ -120,5 +121,5 @@
 01: klaar=nee
 02: doe
-03: ..bereken potentieel minimale dominantie verzamelingen
+03: ..bereken potentieel minimale dominerende verzamelingen
 04: ..plaats in framebuffer
 05: ..als (alle pixels zijn gemarkeerd) dan
@@ -126,10 +127,10 @@
 08: totdat (klaar=ja)
 \end{verbatim}
-\caption{evalueren minimale dominantie set}
+\caption{evalueren minimale dominerende set}
 \label{alg:overzicht}
 \end{algoritm}
 
 \subsection{Detectie algoritme}
-\begin{figure}
+\begin{figure}[h]
   \centering
   \includegraphics[width=0.4\textwidth]{pasted4.pdf}
@@ -176,5 +177,5 @@
 04: ..oplossing=ja
 \end{verbatim}
-\caption{evalueren minimale dominantie set door individuele kernel}
+\caption{evalueren minimale dominerende set door individuele kernel}
 \label{alg:kernel}
 \end{algoritm}
@@ -185,10 +186,10 @@
   \includegraphics[width=0.4\textwidth]{pasted6.pdf}
   \caption{
-  Uitvoertijden (logaritmische schaal) van de \emph{CPU} en \emph{GPU} gebaseerde minimale dominantie implementaties welke $y(Q_{n})$ uitrekenen. Hoe groter $n$ wordt des te beter de \emph{GPU} gaat presteren in vergelijking met de \emph{CPU}.} 
+  Uitvoertijden (logaritmische schaal) van de \emph{CPU} en \emph{GPU} gebaseerde minimale dominerende implementaties welke $y(Q_{n})$ uitrekenen. Hoe groter $n$ wordt des te beter de \emph{GPU} gaat presteren in vergelijking met de \emph{CPU}.} 
   \label{fig:uitvoertijd}
 \end{figure}
 Door het toepassen van de \emph{GPU} op het \emph{n-Queens} probleem kunnen
-winsten geboekt worden zoals te zien is in Figuur~\ref{fig:uitvoertijd}\footnote{Gegevens direct uit \cite{CDGPU2006} overgenomen, experiment niet opnieuw uitgevoerd}. 
-Het toepassen van \emph{GPU} dominantie textuur technieken lijkt voor dit
+winsten geboekt worden zoals te zien is in Figuur~\ref{fig:uitvoertijd}\footnote{Gegevens direct uit \cite{CDGPU2006} overgenomen, experiment niet opnieuw uitgevoerd.}. 
+Het toepassen van \emph{GPU} dominerende textuur technieken lijkt voor dit
 specifieke geval een goede vertaling van de traditionele \emph{CPU} wereld naar
 een implementatie in de  \emph{GPU} wereld. De stempels bieden tevens meer
@@ -216,10 +217,9 @@
 
 \begin{thebibliography}{3}
-\bibitem[DM2003]{DM2003}E. J. Cockayne, emph{Chessboard domination
-problems}, \emph{Discrete Math}, 86:1320, 1990.
-
-\bibitem[CDGPU2006]{CDGPU2006}Nathan Cournik,\emph{Chessboard Domination
-on Programmable Graphics Hardware}, \emph{ACM SE'06 March
-10-Â­12, 2006}. Melbourne, Florida, USA
+\bibitem[DM2003]{DM2003}E. J. Cockayne, \emph{Chessboard domination
+problems}, \emph{Discrete Math}, 86:13--20, 1990.
+
+\bibitem[CDGPU2006]{CDGPU2006}Nathan Cournia,\emph{Chessboard Domination
+on Programmable Graphics Hardware}, \emph{Proceedings of the 44th annual Southeast Regional Conferencee}, pp. 62--67, 2006.
 
 \bibitem[WPCUDA]{WPCUDA}Wikipedia, CUDA, \url{http://en.wikipedia.org/wiki/CUDA}