Index: liacs/TOOS/assignment1/build.xml
===================================================================
--- liacs/TOOS/assignment1/build.xml	(revision 205)
+++ liacs/TOOS/assignment1/build.xml	(revision 206)
@@ -1,5 +1,11 @@
-<project>
+<project name="Census" >
+
+  <property name="src.dir" value="src"/>
   <property name="lib.dir" value="lib" />
+  <property name="build.dir" value="build"/>
+  <property name="classes.dir" value="${build.dir}/classes"/>
+  <property name="jar.dir" value="${build.dir}/jar"/>
   <property name="javac.includeAntRuntime" value="false" />
+  <property name="main-class" value="nl.rickvanderzwet.toos.assignment1.Census" />
 
   <path id="classpath">
@@ -9,29 +15,33 @@
 
   <target name="clean">
-      <delete dir="build"/>
+      <delete dir="${build.dir}"/>
   </target>
 
   <target name="compile">
-      <mkdir dir="build/classes"/>
-      <javac srcdir="src" destdir="build/classes" 
+      <mkdir dir="${classes.dir}"/>
+      <javac srcdir="${src.dir}" destdir="${classes.dir}" 
         includeAntRuntime="${javac.includeAntRuntime}" classpathref="classpath">
 
         <compilerarg value="-Xlint:unchecked" />
       </javac>
+      <copy todir="${classes.dir}">
+          <fileset dir="${src.dir}" excludes="**/*.java"/>
+      </copy>
   </target>
 
   <target name="jar" depends="compile">
-      <mkdir dir="build/jar"/>
-      <jar destfile="build/jar/Census.jar" basedir="build/classes">
+      <mkdir dir="${jar.dir}"/>
+      <jar destfile="${jar.dir}/${ant.project.name}.jar" basedir="${classes.dir}">
           <manifest>
-              <attribute name="Main-Class" value="Census"/>
+              <attribute name="Main-Class" value="${main-class}" />
           </manifest>
       </jar>
   </target>
 
-  <target name="run" depends="jar">
-      <java jar="build/jar/Census.jar" fork="true">
+  <target name="run" depends="clean, jar">
+      <java fork="true" classname="${main-class}">
         <classpath>
           <path refid="classpath" />
+          <path location="${jar.dir}/${ant.project.name}.jar" />
         </classpath>
       </java>
Index: liacs/TOOS/assignment1/src/Census.java
===================================================================
--- liacs/TOOS/assignment1/src/Census.java	(revision 205)
+++ liacs/TOOS/assignment1/src/Census.java	(revision 206)
@@ -1,6 +1,10 @@
 package nl.rickvanderzwet.toos.assignment1;
 
+import java.util.Calendar;
 import java.util.HashSet;
+import java.util.Enumeration;
+
 import nl.rickvanderzwet.toos.assignment1.Voter;
+
 import org.apache.log4j.BasicConfigurator;
 import org.apache.log4j.Logger;
@@ -10,11 +14,47 @@
   public static void main(String[] args) {
     BasicConfigurator.configure();
+    
+    Census census = new Census();
+
     HashSet<Voter> voters = new HashSet<Voter>();
     voters.add(new Voter(true));
-    
-    logger.info("Hello, world!");
+    voters.add(new Voter(true));
+    Voter duplicate  = new Voter(true);
+    voters.add(duplicate);
+    voters.add(duplicate);
+    //voters.add(new Voter());
+   
+    logger.info(census.census(voters));
   }
-  public boolean census(HashSet<Voter> Voters) {
-    return false;
+  /**
+   * Calculates the end-vote for a list of voters, given a certain set of creteria's:
+   *   - No voter is allowed more than one time on the list.
+   *   - All voters present needed to have a vote set.
+   *   - Voter.getVote() : Boolean
+   * 
+   * @return boolean with conjuction of voters or null on error.
+   */
+  public Boolean census(HashSet<Voter> voters) {
+    /* Nobody likes voting on Tuesday don't they? */
+    Calendar rightNow = Calendar.getInstance();
+    if (rightNow.get(Calendar.DAY_OF_WEEK) == Calendar.TUESDAY) {
+      return false;
+    }
+
+    /* Check all votes to make it a fair voting system */
+    for (Voter v: voters) {
+      logger.debug(v.getVote());
+      /* Some vote is not set correctly or of wrong return value */
+      if (v.getVote() == null || (!(v.getVote() instanceof Boolean))) { 
+        return false;
+      }
+
+      /* All has to be in agreement */
+      if (v.getVote() == false) {
+        return false;
+      }
+    }
+
+    return true;
   }
 }
Index: liacs/TOOS/assignment1/src/Voter.java
===================================================================
--- liacs/TOOS/assignment1/src/Voter.java	(revision 205)
+++ liacs/TOOS/assignment1/src/Voter.java	(revision 206)
@@ -9,5 +9,5 @@
   }
 
-  public Boolean voted() { 
+  public Boolean getVote() { 
     return fvote;
   }