Index: liacs/TPFL2010/assignment3/cyk.py
===================================================================
--- liacs/TPFL2010/assignment3/cyk.py	(revision 253)
+++ liacs/TPFL2010/assignment3/cyk.py	(revision 254)
@@ -6,8 +6,7 @@
 
 
-# Word to search for
+
+# CNF from example pg. 142
 w = 'cabab'
-
-# CNF 
 cnf = {
   'S' : ['AB','b'],
@@ -15,4 +14,12 @@
   'B' : ['AS', 'b'],
   'C' : ['BS', 'c'],
+  }
+
+w = 'babbab'
+cnf = {
+  'S' : ['AB','b'],
+  'A' : ['BC', 'a'],
+  'B' : ['AS', 'CB', 'b'],
+  'C' : ['SS', 'a'],
   }
 
@@ -68,8 +75,7 @@
   print '''
 \\end{tabular}
-\\label{tb:cyk}
-\\caption{$CYK(L(G),babbbab)$. Algoritme in \cite{JS2009}[pg.~142]}
+\\caption{$CYK(L(G),%s)$. Algoritme in \cite{JS2009}[pg.~142]}
 \\end{table}
-'''
+''' % w
 
 
@@ -92,5 +98,5 @@
     return None 
   else:
-    return ",".join([str(x) for x in r])
+    return ",".join(["(%s,%s,%s)" % (x[0],x[1],x[2]) for x in r])
 
 
Index: liacs/TPFL2010/assignment3/report.tex
===================================================================
--- liacs/TPFL2010/assignment3/report.tex	(revision 253)
+++ liacs/TPFL2010/assignment3/report.tex	(revision 254)
@@ -14,4 +14,5 @@
 \usepackage{tikz}
 \usepackage{fixltx2e}
+\usepackage{rotating}
 
 \usetikzlibrary{arrows,decorations.pathmorphing,backgrounds,positioning,fit,petri}
@@ -61,20 +62,20 @@
 
 
-\begin{table}[htbp] 
+\begin{sidewaystable}[htbp] 
 \center
-\begin{tabular}{|c||c|c|c|c|c|}
+\begin{tabular}{|c||c|c|c|c|c|c|}
 \hline
 
-i\textbackslash j & 1          & 2          & 3          & 4          & 5          \\ \hline \hline
-                1 & \begin{tabular}{l} C \\       \end{tabular} & \begin{tabular}{l} $\emptyset$ \end{tabular} & \begin{tabular}{l} A: ('C', 'B', 1) \\ \end{tabular} & \begin{tabular}{l} A: ('A', 'A', 3) \\ \end{tabular} & \begin{tabular}{l} S: ('A', 'B', 3),('A', 'B', 4) \\B: ('A', 'S', 3),('A', 'S', 4) \\ \end{tabular} \\ \hline
-                2 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} A \\       \end{tabular} & \begin{tabular}{l} S: ('A', 'B', 2) \\B: ('A', 'S', 2) \\ \end{tabular} & \begin{tabular}{l} $\emptyset$ \end{tabular} & \begin{tabular}{l} C: ('B', 'S', 3) \\ \end{tabular} \\ \hline
-                3 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} S \\B \\   \end{tabular} & \begin{tabular}{l} $\emptyset$ \end{tabular} & \begin{tabular}{l} C: ('B', 'S', 3) \\ \end{tabular} \\ \hline
-                4 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} A \\       \end{tabular} & \begin{tabular}{l} S: ('A', 'B', 4) \\B: ('A', 'S', 4) \\ \end{tabular} \\ \hline
-                5 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} S \\B \\   \end{tabular} \\ \hline
+i\textbackslash j & 1          & 2          & 3          & 4          & 5          & 6          \\ \hline \hline
+                1 & \begin{tabular}{l} S \\B \\   \end{tabular} & \begin{tabular}{l} A: (B,C,1) \\ \end{tabular} & \begin{tabular}{l} C: (S,S,1) \\S: (A,B,2) \\B: (A,S,2) \\ \end{tabular} & \begin{tabular}{l} A: (B,C,1) \\B: (C,B,3) \\C: (S,S,3) \\ \end{tabular} & \begin{tabular}{l} A: (B,C,4) \\ \end{tabular} & \begin{tabular}{l} A: (B,C,1),(B,C,3) \\C: (S,S,1),(S,S,3) \\S: (A,B,2),(A,B,4),(A,B,5) \\B: (C,B,3),(A,S,4),(C,B,4),(A,S,5) \\ \end{tabular} \\ \hline
+                2 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} A \\C \\   \end{tabular} & \begin{tabular}{l} S: (A,B,2) \\B: (A,S,2),(C,B,2) \\ \end{tabular} & \begin{tabular}{l} C: (S,S,3) \\ \end{tabular} & \begin{tabular}{l} $\emptyset$ \end{tabular} & \begin{tabular}{l} S: (A,B,2) \\B: (C,B,2),(C,B,4) \\A: (B,C,3) \\C: (S,S,3) \\ \end{tabular} \\ \hline
+                3 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} S \\B \\   \end{tabular} & \begin{tabular}{l} C: (S,S,3) \\ \end{tabular} & \begin{tabular}{l} $\emptyset$ \end{tabular} & \begin{tabular}{l} A: (B,C,3) \\C: (S,S,3) \\B: (C,B,4) \\ \end{tabular} \\ \hline
+                4 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} S \\B \\   \end{tabular} & \begin{tabular}{l} A: (B,C,4) \\ \end{tabular} & \begin{tabular}{l} C: (S,S,4) \\S: (A,B,5) \\B: (A,S,5) \\ \end{tabular} \\ \hline
+                5 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} A \\C \\   \end{tabular} & \begin{tabular}{l} S: (A,B,5) \\B: (A,S,5),(C,B,5) \\ \end{tabular} \\ \hline
+                6 & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l}            \end{tabular} & \begin{tabular}{l} S \\B \\   \end{tabular} \\ \hline
 
 \end{tabular}
-\label{tb:cyk}
-\caption{$CYK(L(G),babbbab)$. Algoritme in \cite{JS2009}[pg.~142]}
-\end{table}
+\caption{$CYK(L(G),a)$. Algoritme in \cite{JS2009}[pg.~142]}
+\end{sidewaystable}
 
 \section{Opgave 5.5}